
#include "config.h"
#include <KConfigDialog>

ConfigDialog::ConfigDialog(KConfigDialog* parent) {
    QWidget * options = new QWidget();
    Ui::ConfigDialog::setupUi( options );
    parent->setButtons(KDialog::Ok | KDialog::Cancel | KDialog::Apply);
    parent->addPage(options, i18n("Settings"), "preferences-system");
    connect(parent, SIGNAL(applyClicked()), this, SIGNAL(save()));
    connect(parent, SIGNAL(okClicked()), this, SIGNAL(save()));
}

ConfigDialog::~ConfigDialog() {
}

void ConfigDialog::setCommand(const QString & command) {
  cmdEdit->setEditText(command);
}

QString ConfigDialog::command() const {
  return cmdEdit->currentText();
}


void ConfigDialog::setTimeout(int value) {
  timeEdit->setValue(value);
}

int ConfigDialog::timeout() const {
  return timeEdit->value();
}


void ConfigDialog::setFontColor(const QColor & color) {
  colorButton->setColor(color);
}

QColor ConfigDialog::fontColor() const {
  return colorButton->color();
}


void ConfigDialog::setFixed(bool fixed) {
  fixedCheck->setChecked(fixed);
}

bool ConfigDialog::isFixed() const {
  return fixedCheck->isChecked();
}


void ConfigDialog::setFont(const QFont & font) {
  fontEdit->setFont(font);
}

QFont ConfigDialog::font() const {
  return fontEdit->font();
}

void ConfigDialog::setAllignment(int value) {
  switch (value) {
    case Qt::AlignLeft		: alignEdit->setCurrentIndex(0); break;
    case Qt::AlignHCenter	: alignEdit->setCurrentIndex(1); break;
    case Qt::AlignRight		: alignEdit->setCurrentIndex(2); break;
  }
}

int ConfigDialog::allignment() const {
  switch (alignEdit->currentIndex()) {
    case 0: return Qt::AlignLeft;
    case 1: return Qt::AlignHCenter;
    case 2: return Qt::AlignRight;
  }
  return 0;
}
