/* This file is part of Stdin plasmoid.
 * Copyright (c) 2008 Ruan Strydom <ruans@kr8.co.za>
 * Copyright (C) 2009 Ezequiel R. Aguerre <ezeaguerre@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
#include <QGraphicsWidget>
#include <QGraphicsLinearLayout>
#include <plasma/widgets/label.h>
#include "label.h"

Label::Label ( QGraphicsItem *par, Qt::WindowFlags flags )
	: QGraphicsWidget ( par, flags ), m_label ( 0 )
{
	QGraphicsLinearLayout *layout = new QGraphicsLinearLayout ( Qt::Vertical );
	m_label = new Plasma::Label;
	m_label->nativeWidget ()->setTextFormat ( Qt::PlainText );
	
	layout->setMaximumSize ( QWIDGETSIZE_MAX, QWIDGETSIZE_MAX );
	
	layout->addItem ( m_label );
	setLayout ( layout );
}

Label::~Label ()
{
}

void Label::setText ( const QString &str )
{
	m_label->setText ( str );

	layout ()->setPreferredSize ( m_label->nativeWidget ()->sizeHint () );
	/*delete layout ();
	QGraphicsLinearLayout *layout = new QGraphicsLinearLayout;
	layout->addItem ( m_label );
	setLayout ( layout );*/
}

void Label::setColor ( const QColor &color )
{
	QPalette palette = m_label->nativeWidget ()->palette ();
	palette.setColor ( QPalette::WindowText, color );
	m_label->nativeWidget ()->setPalette ( palette );
}

QColor Label::color () const
{
	return m_label->nativeWidget ()->palette ().color ( QPalette::WindowText );
}

#include "label.moc"