/* This file is part of Stdin plasmoid.
 * Copyright (c) 2008 Ruan Strydom <ruans@kr8.co.za>
 * Copyright (C) 2009 Ezequiel R. Aguerre <ezeaguerre@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
#ifndef __LABEL__H__
#define __LABEL__H__

#include <QGraphicsWidget>
#include <QString>
#include <QFont>
#include <QColor>
#include <QLabel>
#include <plasma/widgets/label.h>

class Label : public QGraphicsWidget {
	Q_OBJECT
	public:
		Label ( QGraphicsItem * = 0, Qt::WindowFlags = 0 );
		~Label ();
		
		// Setters
		void setText ( const QString &str );
		void setFont ( const QFont &f ) { m_label->nativeWidget ()->setFont ( f ); }
		void setColor ( const QColor & );
		void setWordWrap ( bool ww ) { m_label->nativeWidget ()->setWordWrap ( ww ); }
		void setAlignment ( Qt::Alignment alg ) { m_label->nativeWidget ()->setAlignment ( alg ); }
		
		// Getters
		QString text () const { return m_label->text (); }
		QFont font () const { return m_label->nativeWidget ()->font (); }
		QColor color () const;
		bool wordWrap () const { return m_label->nativeWidget ()->wordWrap (); }
		Qt::Alignment alignment () const { return m_label->nativeWidget ()->alignment (); }
	
	private:
		Plasma::Label *m_label;
};

#endif
