/* This file is part of Stdin plasmoid.
 * Copyright (c) 2008 Ruan Strydom <ruans@kr8.co.za>
 * Copyright (C) 2009 Ezequiel R. Aguerre <ezeaguerre@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
#ifndef __OPTIONS__H__
#define __OPTIONS__H__

#include <QFont>
#include <QColor>
#include <QString>
#include <Plasma/Applet>

struct Options {
	enum Show {
		StdOut = 1,
		StdErr = 2,
		Separate = 4,
		Status = 8
	};

	// Appearence
	QFont font;
	QColor color;
	Qt::Alignment alignment;
	Plasma::Applet::BackgroundHints background;
	bool breakLines;
	bool isFixed;
	
	// Settings
	int timer;
	int skip;
	int lines;
	int show;
	QString codec;
	bool first;
	bool reverse;
	bool partial;
	bool isCommand;
	QString action;

	// Command history
	QStringList commandHistory;
};

#endif